API specification for QuayConnect (1.0.0-pre.1)
Download OpenAPI specification:Download
This API specification describes the functionalities for creating EU export and UK import customs declarations. The main data structure in QuayConnect is a consignment which is the equivalent of a single sales order or invoice. Multiple consignment can be linked together through a voyageReference, which can be useful if multiple orders are shipped in a single container or trailer. In that case a transport order number, container number or trailer licence plate can be provided in the voyageNumber field to link multiple shipments together.
Webhook callback to receive updates on the shipment's service statuses. Webhook
This endpoint should exist in your application, so QuayConnect can call it whenever an update on a service comes in.
QuayConnect authenticates with http basic auth (a username and password you choose) or a bearer token. To enable the webhook, give a QuayConnect developer the URL and the credentials.
Authorizations:
Request Body schema: application/json
Status update on the services
| shipmentId | string Unique identifier of the shipment as was returned when the shipment was created. |
| finalized | boolean Indicates if the shipment has been finalized or if it is still editable |
Array of objects (ShipmentStatus) |
Responses
Request samples
- Payload
{- "shipmentId": "string",
- "finalized": true,
- "services": [
- {
- "serviceType": "nl-export-declaration",
- "status": "string",
- "documentType": "EUA",
- "mrn": "string",
- "document": "string",
- "errors": [
- {
- "code": "custom",
- "path": [ ],
- "message": "string",
- "resourceId": "string",
- "locationCode": "string",
- "productCode": "string",
- "unlocode": "string",
- "partyCode": "string",
- "errorCode": "string",
- "originalMessage": "string",
- "originalPath": [ ],
- "originalAttributeValue": "string"
}
], - "importState": "string",
- "exportState": "string",
- "requestedDocuments": [
- {
- "type": "string",
- "description": "string"
}
], - "documentsSubmittedAt": "string",
- "documentsSubmittedCount": 0,
- "options": {
- "property1": null,
- "property2": null
}, - "nonExitedEnquiryDate": "string",
- "nonExitedEvidenceLimitDate": "string",
- "nonExitedDeclarationOffice": "string",
- "nonExitedParties": [
- {
- "role": "agent",
- "eori": "string",
- "name": "string",
- "relationCode": "string",
- "address": {
- "line": "string",
- "postcode": "string",
- "city": "string",
- "country": "string"
}, - "contact": {
- "name": "string",
- "communications": [
- {
- "number": "string",
- "type": "string"
}
]
}
}
], - "documentsRequestedEffectiveDate": "string",
- "documentsRequestedExpirationDate": "string",
- "timerExpiredLimitDate": "string",
- "timerExpiredInspectionDate": "string",
- "timerExpiredStatement": "string",
- "amendmentAcceptedDate": "string",
- "handledExternallyDate": "string",
- "noReleaseDate": "string",
- "noReleaseReasons": "string",
- "noReleaseControlResults": "string",
- "customsEmergencyProcedureDocument": "string",
- "emergencyProcedureDate": "string",
- "ogaReportMonth": "string",
- "ogaTotalPaymentAmount": "string",
- "ogaTaxes": "string",
- "lrn": "string",
- "acceptanceDate": 0,
- "t2Document": "string",
- "releaseForTransit": true,
- "typeCode": "string",
- "description": "string",
- "releaseDate": "string",
- "transitDeclarationType": "string",
- "departureOffice": "string",
- "destinationOffice": "string",
- "controlResult": "string",
- "rejectionDate": "string",
- "rejectionType": "string",
- "rejectionReason": "string",
- "noReleaseReason": "string",
- "controlNotificationDate": "string",
- "controlNotificationType": "string",
- "controlTypes": "string",
- "controlRequestedDocuments": "string",
- "discrepanciesDate": "string",
- "discrepancies": "string",
- "amendmentAllowedDate": "string",
- "arrivalDate": "string",
- "arrivalDestinationOffice": "string",
- "writeOffDate": "string",
- "nonArrivalRequestDate": "string",
- "nonArrivalResponseLimitDate": "string",
- "nonArrivalEnquiryOffice": "string",
- "incidentDate": "string",
- "incidentOffice": "string",
- "incidents": "string",
- "invalidGuarantees": "string",
- "guaranteeQueryDate": "string",
- "guaranteeQueryResult": "string",
- "invalidationDate": "string",
- "invalidationDecision": "string",
- "acknowledgementDate": "string",
- "acknowledgementMrn": "string",
- "arrivalNotificationDate": "string",
- "unloadingRemarksDate": "string",
- "unloadingPermissionDate": "string",
- "unloadingSeals": "string",
- "unloadingGoodsItems": "string",
- "unloadingGoods": [
- {
- "houseConsignment": "string",
- "goodsItemNumber": "string",
- "declarationGoodsItemNumber": "string",
- "description": "string",
- "commodityCode": "string",
- "grossMass": "string",
- "netMass": "string",
- "packages": [
- {
- "type": "string",
- "number": "string",
- "shippingMarks": "string"
}
]
}
], - "unloadingContainers": [
- {
- "sequenceNumber": "string",
- "containerNumber": "string",
- "numberOfSeals": "string",
- "seals": [
- "string"
], - "goodsItems": [
- "string"
]
}
], - "unloadingPermission": "string",
- "destinationReleaseDate": "string",
- "releaseNotification": "string",
- "releaseTypes": "string",
- "destinationRejectionDate": "string",
- "destinationRejectionType": "string",
- "destinationRejectionReason": "string",
- "destinationControlDate": "string"
}
]
}Create a new shipment.
This will automatically trigger the services that are configured for this organisation. The service configuration is a one-time setup that happens in the QuayConnect web appplication.
Authorizations:
Request Body schema: application/json
| autoFinalize | boolean If false, this means that the shipment is not automatically submitted after creation. If using these options, the shipment needs to be finalized by calling the 'POST /shipments/:shipmentId/finalize' endpoint. |
| onBehalf | string Submit the shipment onbeahlf of another organisation |
required | Array of objects (ServiceDefinition) |
required | object (ShipmentData) |
Responses
Request samples
- Payload
{- "autoFinalize": true,
- "onBehalf": "string",
- "services": [
- {
- "serviceType": "nl-export-declaration",
- "gvms": true,
- "eidr": true,
- "ipaffs": true,
- "inspectionDateTime": "string",
- "customsOfficeOfDeparture": "string",
- "customsOfficeOfDestination": "string",
- "guaranteeType": "string",
- "guaranteeReference": "string",
- "reducedDatasetIndicator": "string",
- "bindingItinerary": "string",
- "representativeEORI": "string",
- "representativeStatus": "string",
- "guaranteeAccessCode": "string",
- "otherGuaranteeReference": "string",
- "declarantEORI": "string",
- "declarantIntegrationNumber": "string",
- "principalEORI": "string",
- "supervisingOffice": "string",
- "presentationDate": 0,
- "warehouseType": "string",
- "warehouseId": "string"
}
], - "payload": {
- "shipmentReference": "string",
- "voyageReference": "string",
- "shipmentType": "FCL",
- "voyage": {
- "voyageType": "roro",
- "placeOfLoading": {
- "code": "string"
}, - "portOfLoading": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "portOfDischarge": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "placeOfDelivery": {
- "code": "string"
}, - "trailer": {
- "identity": "string",
- "nationality": "string"
}, - "truck": {
- "identity": "string",
- "nationality": "string"
}, - "wagon": {
- "identity": "string",
- "nationality": "string"
}, - "aircraft": {
- "identity": "string",
- "nationality": "string"
}, - "flight": {
- "identity": "string",
- "nationality": "string"
}, - "vessel": {
- "identity": "string",
- "nationality": "string"
}, - "carrier": {
- "scac": "string",
- "name": "string"
}, - "transitCustomsOffices": [
- "string"
], - "destinationCustomsOffice": "string",
- "exitCustomsOffice": "string",
- "containers": [
- {
- "containerNumber": "string",
- "seals": [
- "string"
], - "goodsItems": [
- 1
]
}
], - "eta": 0
}, - "transit": {
- "declarationType": "T",
- "additionalDeclarationType": "A",
- "security": "string",
- "reducedDatasetIndicator": true,
- "specificCircumstancesIndicator": "string",
- "bindingItinerary": true,
- "tirCarnet": "string",
- "limitDate": 0,
- "goodsPresentationDate": 0,
- "departureLanguage": "en",
- "goodsLocation": {
- "type": "string",
- "code": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}, - "loadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "unloadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "transitOffices": [
- {
- "referenceNumber": "stringst",
- "arrivalDate": 0
}
], - "exitOffices": [
- "stringst"
], - "additionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "guarantees": [
- {
- "type": "s",
- "otherReference": "string",
- "references": [
- {
- "grn": "string",
- "accessCode": "stri",
- "amountCovered": 0,
- "currency": "str"
}
]
}
], - "activeBorderTransportMeans": [
- {
- "customsOffice": "stringst",
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st",
- "conveyanceReferenceNumber": "string"
}
], - "transportChargesPaymentMethod": "string",
- "documents": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "parties": {
- "holder": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "tirHolderId": "string"
}, - "carrier": {
- "id": "string",
- "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "representativeContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "consignorContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "goodsLocationContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "inlandTransportMode": "string",
- "borderTransportMode": "string",
- "routingCountries": [
- "st"
]
}, - "transitArrival": {
- "mrn": "stringstringstring",
- "officeOfDestination": "stringst",
- "arrivalDate": 0,
- "simplifiedProcedure": true,
- "destinationLanguage": "st",
- "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "goodsLocation": {
- "type": "s",
- "qualifier": "s",
- "authorisationNumber": "string",
- "additionalIdentifier": "stri",
- "unLocode": "string",
- "customsOffice": "stringst",
- "eori": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "contactPerson": {
- "name": "string",
- "phoneNumber": "string",
- "email": "string"
}
}, - "incidents": [
- {
- "code": "s",
- "text": "string",
- "country": "st",
- "unLocode": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string"
}, - "endorsement": {
- "date": 0,
- "authority": "string",
- "place": "string",
- "country": "st"
}
}
], - "unloadingRemarks": {
- "conform": true,
- "unloadingCompletion": true,
- "unloadingDate": 0,
- "sealsOk": true,
- "remark": "string",
- "otherThingsToReport": "string",
- "grossMass": 0,
- "transportEquipment": [
- {
- "containerIdentificationNumber": "string",
- "seals": [
- "string"
], - "declarationGoodsItemNumbers": [
- 0
]
}
], - "items": [
- {
- "houseConsignment": 0,
- "goodsItemNumber": 0,
- "declarationGoodsItemNumber": 0,
- "description": "string",
- "grossMass": 0,
- "netMass": 0,
- "typeOfPackages": "st",
- "numberOfPackages": 0
}
]
}
}, - "dms": {
- "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "routingCountries": [
- "string"
], - "transportChargesPaymentMethod": "string",
- "declarantContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "agentContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "declarant": {
- "eori": "string"
}, - "obligationGuarantees": [
- {
- "type": "string",
- "references": [
- {
- "grn": "string",
- "reference": "string",
- "accessCode": "stri",
- "amount": 0,
- "currency": "string",
- "office": "string"
}
]
}
], - "surety": "string",
- "payer": "string",
- "representative": {
- "eori": "string",
- "status": "2"
}, - "language": "EN",
- "additionalDeclarationType": "A",
- "transactionNature": "string",
- "tradeTermsDescription": "string",
- "goodsLocation": {
- "postalCode": "string",
- "houseNumber": "string",
- "country": "string",
- "latitude": "string",
- "longitude": "string"
}, - "dutyTaxParties": [
- {
- "id": "string",
- "role": "string"
}
]
}, - "valuation": {
- "incoterms": "string",
- "incotermsLocation": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "airTransportCost": {
- "amount": 0,
- "currency": "string"
}, - "freightCost": {
- "amount": 0,
- "currency": "string"
}, - "insuranceCost": {
- "amount": 0,
- "currency": "string"
}
}, - "documents": [
- {
- "documentType": "bl",
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string"
}
], - "parties": {
- "haulier": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}, - "goods": [
- {
- "productCode": "string",
- "netWeight": 0,
- "grossWeight": 0,
- "description": "string",
- "commodityCode": "stringst",
- "countryOfOrigin": "string",
- "value": 0,
- "valueCurrency": "str",
- "packagingQuantity": 0,
- "packagingQuantityUnit": "st",
- "packagingMarks": "string",
- "eppoCode": { },
- "species": "string",
- "class": "string",
- "variety": "string",
- "valuationMethod": "Forfait",
- "supplementaryUnits": 0,
- "supplementaryUnitsType": "pieces",
- "additionalPackaging": [
- {
- "quantity": 0,
- "quantityUnit": "st",
- "marks": "string"
}
], - "previousDocumentLineNumber": 0,
- "documents": {
- "property1": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}, - "property2": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}
}, - "container": "string",
- "dutyPreference": "100",
- "chargeDeduction": [
- {
- "type": "freight",
- "code": "string",
- "amount": 0,
- "currency": "string"
}
], - "valuationIndicator": "string",
- "customsValuationMethod": "string",
- "statisticalValue": 0,
- "referenceNumber": "string",
- "transactionNature": "string",
- "transportChargesPaymentMethod": "string",
- "preferentialOriginCountry": "string",
- "dangerousGoods": [
- {
- "unNumber": "string"
}
], - "transitDepartureTransportMeans": [
- {
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st"
}
], - "transitTransportChargesPaymentMethod": "string",
- "transitDocuments": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string",
- "goodsItemNumber": 1,
- "typeOfPackages": "st",
- "numberOfPackages": 99999999,
- "measurementUnitAndQualifier": "stri",
- "quantity": 0
}
], - "housePreviousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "transitConsignor": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitConsignee": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitAdditionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "transitCountryOfDispatch": "st",
- "transitCountryOfDestination": "st",
- "transitReferenceNumberUCR": "string",
- "transitDeclarationType": "T1",
- "procedure": {
- "current": "string",
- "previous": "string",
- "additional": [
- "string"
]
}, - "cusCode": "stringstr",
- "taricAdditionalCodes": [
- "string"
], - "nationalAdditionalCodes": [
- "stri"
], - "strategicGoodsCodes": [
- "string"
], - "upuCode": "str",
- "quotaOrder": "string",
- "dutyTaxFees": [
- {
- "type": "string",
- "taxBase": 0,
- "taxRate": 0,
- "paymentMethod": "string",
- "payableAmount": 0
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocumentType": "stri",
- "previousDocumentNumber": "string",
- "previousDocuments": [
- {
- "type": "string",
- "number": "string",
- "lineNumber": 1
}
], - "supportingDocuments": [
- {
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string",
- "type": "string",
- "number": "string"
}
], - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "exporter": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}
]
}
}Response samples
- 201
- 400
- 401
- 409
- 413
- 500
{- "shipmentId": "string"
}Send a correction message to DMS after a control request.
This will send a CRI correction message to DMS.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
required | Array of objects | ||||
Array
| |||||
Responses
Request samples
- Payload
{- "lines": [
- {
- "index": 0,
- "value": 0
}
]
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Provide supporting documents to DMS after a control request.
Sends the supporting documents Customs requested for a declaration under control (DMS Digitaal Dossier, message IE446 import / NLPRD export).
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| direction | string Enum: "import" "export" Which DMS declaration flow the documents belong to. Defaults to "import". |
Responses
Request samples
- Payload
{- "direction": "import"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Tries to cancel the nl-import-service.
This will send a IE414 correction message to DMS.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| reason required | string |
Responses
Request samples
- Payload
{- "reason": "string"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Notifies Customs that the goods of a pre-lodged transit declaration are presented.
Only for a transit declaration with additionalDeclarationType "D" that Customs acknowledged (IE928). This sends the presentation notification (IE170) to NCTS; Customs answers with the MRN (IE028) or a rejection (IE056).
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| shipmentId required | string non-empty Unique id of the shipment |
Responses
Request samples
- Payload
{- "shipmentId": "string"
}Response samples
- 201
- 400
- 401
- 500
{- "status": "success"
}Amends the transit declaration.
Update the shipment first (PUT /v2/shipments/{uid}), then call this to send the amendment (IE013) built from its transit data. Possible while Customs has not released the declaration. Customs answers with the acceptance (IE004) or a rejection (IE056).
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| guaranteeOnly | boolean Send only the guarantee of the declaration in the amendment. Left out, the whole declaration is sent. |
Responses
Request samples
- Payload
{- "guaranteeOnly": true
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Requests the cancellation of the transit declaration.
Sends the request to invalidate the declaration (IE014) with the reason. Customs answers with its decision (IE009) or a rejection (IE056). The status becomes "cancellation requested".
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| reason required | string [ 1 .. 512 ] characters Why the declaration is cancelled. |
Responses
Request samples
- Payload
{- "reason": "string"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Cancels the DMS export declaration.
Sends the cancellation of the export declaration with the reason. The export needs its MRN. The status becomes "cancellation requested".
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| reason required | string [ 1 .. 512 ] characters Why the declaration is cancelled. |
Responses
Request samples
- Payload
{- "reason": "string"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Amends the DMS import declaration.
Update the shipment first (PUT /v2/shipments/{uid}), then call this to send the amendment (IE413), the whole declaration again from the shipment data. Possible once Customs gave the MRN and until the goods are released; goods cannot be added. Customs answers with IE404 (accepted) or IE456 (refused); the declaration keeps its status either way, and amendmentRequestedDate is set until the answer.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| shipmentId required | string non-empty Unique id of the shipment |
Responses
Request samples
- Payload
{- "shipmentId": "string"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Sends the unloading remarks of the transit arrival.
Once Customs has given the unloading permission (IE043) and the arrival is "action-required", this sends the unloading remarks (IE044) from the arrival's transitArrival.unloadingRemarks. Customs answers with the release (IE025) or a rejection of the remarks (IE057).
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| shipmentId required | string non-empty Unique id of the shipment |
Responses
Request samples
- Payload
{- "shipmentId": "string"
}Response samples
- 201
- 400
- 401
- 413
- 500
{- "status": "success"
}Create a partial shipment.
This setup will not finalize the shipment nor trigger the services. You can do so by calling the following endpoints:
Authorizations:
Request Body schema: application/json
| onBehalf | string Submit the shipment on behalf of another organisation. |
object (PartialShipmentData) |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "payload": {
- "shipmentReference": "string",
- "voyageReference": "string",
- "shipmentType": "FCL",
- "voyage": {
- "voyageType": "roro",
- "placeOfLoading": {
- "code": "string"
}, - "portOfLoading": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "portOfDischarge": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "placeOfDelivery": {
- "code": "string"
}, - "trailer": {
- "identity": "string",
- "nationality": "string"
}, - "truck": {
- "identity": "string",
- "nationality": "string"
}, - "wagon": {
- "identity": "string",
- "nationality": "string"
}, - "aircraft": {
- "identity": "string",
- "nationality": "string"
}, - "flight": {
- "identity": "string",
- "nationality": "string"
}, - "vessel": {
- "identity": "string",
- "nationality": "string"
}, - "carrier": {
- "scac": "string",
- "name": "string"
}, - "transitCustomsOffices": [
- "string"
], - "destinationCustomsOffice": "string",
- "exitCustomsOffice": "string",
- "containers": [
- {
- "containerNumber": "string",
- "seals": [
- "string"
], - "goodsItems": [
- 1
]
}
], - "eta": 0
}, - "transit": {
- "declarationType": "T",
- "additionalDeclarationType": "A",
- "security": "string",
- "reducedDatasetIndicator": true,
- "specificCircumstancesIndicator": "string",
- "bindingItinerary": true,
- "tirCarnet": "string",
- "limitDate": 0,
- "goodsPresentationDate": 0,
- "departureLanguage": "en",
- "goodsLocation": {
- "type": "string",
- "code": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}, - "loadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "unloadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "transitOffices": [
- {
- "referenceNumber": "stringst",
- "arrivalDate": 0
}
], - "exitOffices": [
- "stringst"
], - "additionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "guarantees": [
- {
- "type": "s",
- "otherReference": "string",
- "references": [
- {
- "grn": "string",
- "accessCode": "stri",
- "amountCovered": 0,
- "currency": "str"
}
]
}
], - "activeBorderTransportMeans": [
- {
- "customsOffice": "stringst",
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st",
- "conveyanceReferenceNumber": "string"
}
], - "transportChargesPaymentMethod": "string",
- "documents": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "parties": {
- "holder": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "tirHolderId": "string"
}, - "carrier": {
- "id": "string",
- "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "representativeContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "consignorContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "goodsLocationContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "inlandTransportMode": "string",
- "borderTransportMode": "string",
- "routingCountries": [
- "st"
]
}, - "transitArrival": {
- "mrn": "stringstringstring",
- "officeOfDestination": "stringst",
- "arrivalDate": 0,
- "simplifiedProcedure": true,
- "destinationLanguage": "st",
- "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "goodsLocation": {
- "type": "s",
- "qualifier": "s",
- "authorisationNumber": "string",
- "additionalIdentifier": "stri",
- "unLocode": "string",
- "customsOffice": "stringst",
- "eori": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "contactPerson": {
- "name": "string",
- "phoneNumber": "string",
- "email": "string"
}
}, - "incidents": [
- {
- "code": "s",
- "text": "string",
- "country": "st",
- "unLocode": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string"
}, - "endorsement": {
- "date": 0,
- "authority": "string",
- "place": "string",
- "country": "st"
}
}
], - "unloadingRemarks": {
- "conform": true,
- "unloadingCompletion": true,
- "unloadingDate": 0,
- "sealsOk": true,
- "remark": "string",
- "otherThingsToReport": "string",
- "grossMass": 0,
- "transportEquipment": [
- {
- "containerIdentificationNumber": "string",
- "seals": [
- "string"
], - "declarationGoodsItemNumbers": [
- 0
]
}
], - "items": [
- {
- "houseConsignment": 0,
- "goodsItemNumber": 0,
- "declarationGoodsItemNumber": 0,
- "description": "string",
- "grossMass": 0,
- "netMass": 0,
- "typeOfPackages": "st",
- "numberOfPackages": 0
}
]
}
}, - "dms": {
- "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "routingCountries": [
- "string"
], - "transportChargesPaymentMethod": "string",
- "declarantContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "agentContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "declarant": {
- "eori": "string"
}, - "obligationGuarantees": [
- {
- "type": "string",
- "references": [
- {
- "grn": "string",
- "reference": "string",
- "accessCode": "stri",
- "amount": 0,
- "currency": "string",
- "office": "string"
}
]
}
], - "surety": "string",
- "payer": "string",
- "representative": {
- "eori": "string",
- "status": "2"
}, - "language": "EN",
- "additionalDeclarationType": "A",
- "transactionNature": "string",
- "tradeTermsDescription": "string",
- "goodsLocation": {
- "postalCode": "string",
- "houseNumber": "string",
- "country": "string",
- "latitude": "string",
- "longitude": "string"
}, - "dutyTaxParties": [
- {
- "id": "string",
- "role": "string"
}
]
}, - "valuation": {
- "incoterms": "string",
- "incotermsLocation": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "airTransportCost": {
- "amount": 0,
- "currency": "string"
}, - "freightCost": {
- "amount": 0,
- "currency": "string"
}, - "insuranceCost": {
- "amount": 0,
- "currency": "string"
}
}, - "parties": {
- "haulier": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}, - "goods": [
- {
- "productCode": "string",
- "netWeight": 0,
- "grossWeight": 0,
- "description": "string",
- "commodityCode": "stringst",
- "countryOfOrigin": "string",
- "value": 0,
- "valueCurrency": "str",
- "packagingQuantity": 0,
- "packagingQuantityUnit": "st",
- "packagingMarks": "string",
- "eppoCode": { },
- "species": "string",
- "class": "string",
- "variety": "string",
- "valuationMethod": "Forfait",
- "supplementaryUnits": 0,
- "supplementaryUnitsType": "pieces",
- "additionalPackaging": [
- {
- "quantity": 0,
- "quantityUnit": "st",
- "marks": "string"
}
], - "previousDocumentLineNumber": 0,
- "documents": {
- "property1": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}, - "property2": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}
}, - "container": "string",
- "dutyPreference": "100",
- "chargeDeduction": [
- {
- "type": "freight",
- "code": "string",
- "amount": 0,
- "currency": "string"
}
], - "valuationIndicator": "string",
- "customsValuationMethod": "string",
- "statisticalValue": 0,
- "referenceNumber": "string",
- "transactionNature": "string",
- "transportChargesPaymentMethod": "string",
- "preferentialOriginCountry": "string",
- "dangerousGoods": [
- {
- "unNumber": "string"
}
], - "transitDepartureTransportMeans": [
- {
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st"
}
], - "transitTransportChargesPaymentMethod": "string",
- "transitDocuments": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string",
- "goodsItemNumber": 1,
- "typeOfPackages": "st",
- "numberOfPackages": 99999999,
- "measurementUnitAndQualifier": "stri",
- "quantity": 0
}
], - "housePreviousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "transitConsignor": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitConsignee": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitAdditionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "transitCountryOfDispatch": "st",
- "transitCountryOfDestination": "st",
- "transitReferenceNumberUCR": "string",
- "transitDeclarationType": "T1",
- "procedure": {
- "current": "string",
- "previous": "string",
- "additional": [
- "string"
]
}, - "cusCode": "stringstr",
- "taricAdditionalCodes": [
- "string"
], - "nationalAdditionalCodes": [
- "stri"
], - "strategicGoodsCodes": [
- "string"
], - "upuCode": "str",
- "quotaOrder": "string",
- "dutyTaxFees": [
- {
- "type": "string",
- "taxBase": 0,
- "taxRate": 0,
- "paymentMethod": "string",
- "payableAmount": 0
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocumentType": "stri",
- "previousDocumentNumber": "string",
- "previousDocuments": [
- {
- "type": "string",
- "number": "string",
- "lineNumber": 1
}
], - "supportingDocuments": [
- {
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string",
- "type": "string",
- "number": "string"
}
], - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "exporter": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}
]
}
}Response samples
- 201
- 401
- 404
- 409
- 500
{- "shipmentId": "string"
}Upload supporting documents to a given shipment.
Some documents are required by the customs agent to process the. This endpoint allows to attach those documents to a previously created shipment.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| dataBase64 required | string non-empty Base64 encoded data of the document. |
| filename required | string non-empty Name of the file |
| documentIdentifier required | string non-empty Unique identifier of the document (e.g. invoice number) |
| documentType required | string Enum: "bl" "cmr" "phyto" "invoice" "other" "P2" "N00004" "0005" "0006" "0010" "0011" "0023" "0027" "0030" "0040" "1119" "1200" "1300" "1500" "1600" "1900" "1998" "1999" "2095" "8002" "8004" "8005" "8006" "8007" "8009" "8016" "8022" "8023" "8025" "8030" "8031" "8032" "9003" "9004" "A001" "A004" "A007" "A008" "A009" "A010" "A014" "A015" "A016" "A017" "A019" "A022" "A023" "A030" "C001" "C006" "C008" "C013" "C014" "C015" "C017" "C018" "C019" "C026" "C027" "C034" "C039" "C040" "C041" "C042" "C043" "C045" "C046" "C047" "C050" "C052" "C053" "C055" "C056" "C057" "C058" "C060" "C064" "C065" "C067" "C068" "C069" "C070" "C071" "C072" "C073" "C074" "C075" "C076" "C077" "C078" "C079" "C080" "C081" "C082" "C083" "C084" "C085" "C089" "C090" "C091" "C092" "C093" "C094" "C095" "C100" "C119" "C400" "C401" "C402" "C403" "C404" "C405" "C406" "C501" "C502" "C503" "C504" "C505" "C506" "C509" "C512" "C513" "C514" "C516" "C517" "C519" "C526" "C600" "C601" "C602" "C605" "C612" "C613" "C614" "C615" "C616" "C617" "C618" "C619" "C620" "C621" "C622" "C623" "C624" "C625" "C626" "C627" "C631" "C635" "C638" "C639" "C640" "C641" "C644" "C647" "C651" "C652" "C656" "C657" "C658" "C659" "C660" "C664" "C665" "C666" "C667" "C668" "C669" "C670" "C671" "C672" "C673" "C676" "C678" "C679" "C680" "C683" "C684" "C685" "C687" "C688" "C689" "C690" "C692" "C700" "C701" "C710" "C715" "C990" "D005" "D008" "D017" "D018" "D019" "D020" "D021" "D022" "D023" "D024" "E012" "E013" "E014" "E017" "E020" "E990" "I004" "K020" "K022" "K025" "K026" "K027" "K028" "K029" "K030" "K031" "L001" "L079" "L081" "L082" "L100" "L116" "L135" "L136" "L137" "L138" "L139" "L142" "L143" "L144" "L146" "L147" "L838" "N002" "N018" "N235" "N271" "N337" "N355" "N703" "N704" "N705" "N710" "N714" "N720" "N722" "N730" "N740" "N741" "N750" "N760" "N785" "N787" "N820" "N821" "N822" "N825" "N851" "N852" "N853" "N864" "N934" "N935" "N952" "N954" "N955" "N988" "N990" "U004" "U005" "U045" "U048" "U059" "U062" "U063" "U067" "U068" "U069" "U074" "U075" "U076" "U077" "U084" "U088" "U090" "U091" "U099" "U101" "U110" "U111" "U112" "U113" "U114" "U115" "U116" "U117" "U118" "U119" "U120" "U121" "U122" "U161" "U162" "U163" "U164" "U165" "U166" "U167" "U168" "U169" "U170" "U171" "U176" "U177" "U178" "X001" "X035" "X060" "X061" "X062" "X063" "X064" "X065" "X066" "X067" "X068" "X070" "X071" "X072" "X802" "X803" "X804" "X805" "X806" "X807" "X808" "X817" "X819" "X823" "X824" "X830" "X831" "X832" "X834" "X835" "X836" "X837" "X839" "X840" "X842" "X985" "X990" "X991" "X992" "X993" "Y001" "Y003" "Y006" "Y007" "Y008" "Y013" "Y015" "Y017" "Y019" "Y020" "Y021" "Y022" "Y023" "Y024" "Y025" "Y026" "Y027" "Y028" "Y029" "Y031" "Y032" "Y033" "Y034" "Y036" "Y037" "Y038" "Y043" "Y046" "Y053" "Y054" "Y057" "Y058" "Y062" "Y063" "Y066" "Y069" "Y070" "Y072" "Y073" "Y074" "Y075" "Y076" "Y077" "Y078" "Y079" "Y082" "Y083" "Y084" "Y085" "Y086" "Y087" "Y088" "Y089" "Y090" "Y091" "Y100" "Y105" "Y106" "Y107" "Y108" "Y109" "Y110" "Y111" "Y112" "Y113" "Y115" "Y116" "Y117" "Y118" "Y119" "Y120" "Y121" "Y123" "Y124" "Y125" "Y127" "Y150" "Y151" "Y152" "Y154" "Y155" "Y160" "Y162" "Y163" "Y165" "Y200" "Y201" "Y202" "Y203" "Y204" "Y205" "Y206" "Y207" "Y208" "Y209" "Y210" "Y211" "Y212" "Y213" "Y214" "Y215" "Y216" "Y217" "Y218" "Y219" "Y220" "Y221" "Y223" "Y300" "Y301" "Y703" "Y704" "Y784" "Y785" "Y786" "Y787" "Y788" "Y789" "Y790" "Y791" "Y792" "Y793" "Y794" "Y795" "Y796" "Y797" "Y798" "Y799" "Y800" "Y801" "Y802" "Y805" "Y806" "Y807" "Y808" "Y809" "Y810" "Y811" "Y812" "Y813" "Y814" "Y815" "Y816" "Y818" "Y820" "Y821" "Y822" "Y824" "Y825" "Y831" "Y832" "Y833" "Y835" "Y838" "Y839" "Y840" "Y841" "Y842" "Y843" "Y844" "Y845" "Y846" "Y847" "Y848" "Y849" "Y850" "Y851" "Y852" "Y853" "Y854" "Y855" "Y856" "Y857" "Y858" "Y859" "Y860" "Y861" "Y863" "Y864" "Y865" "Y866" "Y867" "Y868" "Y869" "Y872" "Y873" "Y874" "Y875" "Y876" "Y877" "Y878" "Y890" "Y891" "Y892" "Y893" "Y894" "Y895" "Y896" "Y898" "Y900" "Y901" "Y902" "Y903" "Y904" "Y906" "Y907" "Y908" "Y909" "Y910" "Y915" "Y916" "Y917" "Y918" "Y919" "Y920" "Y921" "Y922" "Y923" "Y924" "Y925" "Y926" "Y927" "Y929" "Y930" "Y931" "Y932" "Y934" "Y935" "Y937" "Y939" "Y942" "Y944" "Y945" "Y946" "Y947" "Y948" "Y949" "Y950" "Y951" "Y952" "Y953" "Y955" "Y956" "Y957" "Y958" "Y959" "Y960" "Y961" "Y962" "Y963" "Y964" "Y965" "Y966" "Y967" "Y968" "Y969" "Y970" "Y971" "Y972" "Y976" "Y978" "Y980" "Y981" "Y983" "Y984" "Y986" "Y987" "Y988" "Y993" "Y994" "Y995" "Y996" "Y997" "Y998" "2500" "2501" "2550" "2551" "2552" "3000" "3001" "3002" "3003" "3004" "3005" "3006" "3007" "3008" "3009" "3012" "3013" "3014" "3015" "3016" "3017" "3018" "3019" "3020" "3021" "3022" "3023" "3024" "3025" "3026" "3027" "3028" "3030" "3034" "3035" "3036" "3037" "3038" "3042" "3043" "3044" "3045" "3046" "3047" "3048" "3049" "3050" "3051" "3052" "3053" "3055" "3056" "3057" "3058" "3060" "3062" "3064" "3065" "3066" "3067" "3068" "3069" "3070" "3071" "3072" "3073" "3074" "3075" "3076" "3077" "3078" "3079" "3080" "3081" "3082" "3083" "3084" "3085" "3086" "3087" "3088" "3089" "3090" "3091" "3092" "3093" "3101" "3102" "3103" "3104" "3105" "3106" "3107" "3108" "3109" "3110" "3111" "3112" "3113" "3114" "3115" "3116" "3117" "3118" "3119" "3120" "3121" "3122" "3200" "3202" "3203" "3204" "3205" "3249" "3500" "3501" "3601" "3602" "3603" "3999" "4008" "4010" "4011" "4013" "4023" "4040" "4041" "4042" "4043" "4044" "4045" "4046" "4047" "4048" "4049" "4050" "4051" "4052" "4053" "4054" "4055" "4056" "4057" "4058" "4059" "4060" "4061" "4062" "4071" "4098" "4099" "4114" "4115" "4116" "4117" "4118" "4200" "4201" "4202" "4203" "4204" "4205" "4206" "4207" "4208" "4209" "4210" "4211" "4212" "4901" "4999" "8005" "8009" "8042" "8044" "8045" "8046" "8047" "8053" "8054" "8062" "8065" "8066" "8068" "8069" "8071" "8073" "8075" "8078" "8079" "8080" "8081" "8082" "8083" "8084" "8085" "8088" "8091" "8092" "8099" "8107" "8108" "8116" "8117" "8121" "8132" "8142" "8150" "8152" "8160" "8161" "8162" "8163" "8164" "8165" "8172" "8173" "8175" "8176" "8180" "8186" "8190" "8191" "8198" "8199" "8205" "8208" "8209" "8212" "8215" "8216" "8230" "8234" "8237" "8240" "8241" "8243" "8246" "8260" "8277" "8281" "8288" "8296" "8299" "8301" "8305" "8313" "8315" "8318" "8319" "8320" "8326" "8328" "8330" "8399" "8423" "8456" "8463" "8482" "8489" "8490" "8491" "8519" "8522" "8523" "8524" "8550" "8604" "8605" "8609" "8612" "8624" "8646" "8647" "8648" "8649" "8650" "8651" "8652" "8653" "8654" "8682" "8718" "8720" "8721" "8722" "8729" "8730" "8731" "8734" "8748" "8749" "8750" "8767" "8768" "8795" "8796" "8797" "8798" "8799" "8800" "8801" "8807" "8808" "8809" "8810" "8811" "8812" "8813" "8814" "8816" "8817" "8827" "8828" "8829" "8830" "8831" "8832" "8833" "8835" "8836" "8837" "8843" "8846" "8853" "8854" "8855" "8856" "8857" "8858" "8875" "8879" "8882" "8884" "8885" "8886" "8887" "8888" "8889" "8890" "8891" "8894" "8900" "8907" "8909" "8919" "8929" "8930" "8931" "8933" "8934" "8935" "8936" "8943" "8973" "8979" "8981" "8983" "8999" Type of the suppporting document |
| mimeType required | string non-empty MIME type of the given document |
Responses
Request samples
- Payload
{- "dataBase64": "string",
- "filename": "string",
- "documentIdentifier": "string",
- "documentType": "bl",
- "mimeType": "string"
}Response samples
- 200
- 400
- 401
- 404
- 413
- 500
{- "documentId": "string"
}Trigger service for the given shipment.
Authorizations:
path Parameters
| uid required | string non-empty Unique id of the shipment |
Request Body schema: application/json
required | object | ||||||
| |||||||
Responses
Request samples
- Payload
{- "service": {
- "serviceType": "nl-export-declaration",
- "gvms": true,
- "eidr": true
}
}Response samples
- 200
- 401
- 404
- 500
{- "shipmentId": "string"
}Partially update the exsisting shipment.
A finalized shipment cannot be updated (405), with three exceptions, each before an action on its only service: a DVA departure Customs has acknowledged (IE928) and not released, before an amendment; a DVA arrival waiting for its unloading remarks; and a DMS import with its MRN and not released, before an amendment (nl-import-dms/amend). The shipment reference cannot be changed then. transit and transitArrival merge with the stored values.
Authorizations:
path Parameters
| uid required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| onBehalf | string Submit the shipment on behalf of another organisation. |
object (PartialShipmentData) |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "payload": {
- "shipmentReference": "string",
- "voyageReference": "string",
- "shipmentType": "FCL",
- "voyage": {
- "voyageType": "roro",
- "placeOfLoading": {
- "code": "string"
}, - "portOfLoading": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "portOfDischarge": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "placeOfDelivery": {
- "code": "string"
}, - "trailer": {
- "identity": "string",
- "nationality": "string"
}, - "truck": {
- "identity": "string",
- "nationality": "string"
}, - "wagon": {
- "identity": "string",
- "nationality": "string"
}, - "aircraft": {
- "identity": "string",
- "nationality": "string"
}, - "flight": {
- "identity": "string",
- "nationality": "string"
}, - "vessel": {
- "identity": "string",
- "nationality": "string"
}, - "carrier": {
- "scac": "string",
- "name": "string"
}, - "transitCustomsOffices": [
- "string"
], - "destinationCustomsOffice": "string",
- "exitCustomsOffice": "string",
- "containers": [
- {
- "containerNumber": "string",
- "seals": [
- "string"
], - "goodsItems": [
- 1
]
}
], - "eta": 0
}, - "transit": {
- "declarationType": "T",
- "additionalDeclarationType": "A",
- "security": "string",
- "reducedDatasetIndicator": true,
- "specificCircumstancesIndicator": "string",
- "bindingItinerary": true,
- "tirCarnet": "string",
- "limitDate": 0,
- "goodsPresentationDate": 0,
- "departureLanguage": "en",
- "goodsLocation": {
- "type": "string",
- "code": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}, - "loadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "unloadingPlace": {
- "unLocode": "string",
- "country": "AD",
- "location": "string"
}, - "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "transitOffices": [
- {
- "referenceNumber": "stringst",
- "arrivalDate": 0
}
], - "exitOffices": [
- "stringst"
], - "additionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "guarantees": [
- {
- "type": "s",
- "otherReference": "string",
- "references": [
- {
- "grn": "string",
- "accessCode": "stri",
- "amountCovered": 0,
- "currency": "str"
}
]
}
], - "activeBorderTransportMeans": [
- {
- "customsOffice": "stringst",
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st",
- "conveyanceReferenceNumber": "string"
}
], - "transportChargesPaymentMethod": "string",
- "documents": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "parties": {
- "holder": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "tirHolderId": "string"
}, - "carrier": {
- "id": "string",
- "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "representativeContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "consignorContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "goodsLocationContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "inlandTransportMode": "string",
- "borderTransportMode": "string",
- "routingCountries": [
- "st"
]
}, - "transitArrival": {
- "mrn": "stringstringstring",
- "officeOfDestination": "stringst",
- "arrivalDate": 0,
- "simplifiedProcedure": true,
- "destinationLanguage": "st",
- "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "goodsLocation": {
- "type": "s",
- "qualifier": "s",
- "authorisationNumber": "string",
- "additionalIdentifier": "stri",
- "unLocode": "string",
- "customsOffice": "stringst",
- "eori": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "contactPerson": {
- "name": "string",
- "phoneNumber": "string",
- "email": "string"
}
}, - "incidents": [
- {
- "code": "s",
- "text": "string",
- "country": "st",
- "unLocode": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string"
}, - "endorsement": {
- "date": 0,
- "authority": "string",
- "place": "string",
- "country": "st"
}
}
], - "unloadingRemarks": {
- "conform": true,
- "unloadingCompletion": true,
- "unloadingDate": 0,
- "sealsOk": true,
- "remark": "string",
- "otherThingsToReport": "string",
- "grossMass": 0,
- "transportEquipment": [
- {
- "containerIdentificationNumber": "string",
- "seals": [
- "string"
], - "declarationGoodsItemNumbers": [
- 0
]
}
], - "items": [
- {
- "houseConsignment": 0,
- "goodsItemNumber": 0,
- "declarationGoodsItemNumber": 0,
- "description": "string",
- "grossMass": 0,
- "netMass": 0,
- "typeOfPackages": "st",
- "numberOfPackages": 0
}
]
}
}, - "dms": {
- "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "routingCountries": [
- "string"
], - "transportChargesPaymentMethod": "string",
- "declarantContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "agentContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "declarant": {
- "eori": "string"
}, - "obligationGuarantees": [
- {
- "type": "string",
- "references": [
- {
- "grn": "string",
- "reference": "string",
- "accessCode": "stri",
- "amount": 0,
- "currency": "string",
- "office": "string"
}
]
}
], - "surety": "string",
- "payer": "string",
- "representative": {
- "eori": "string",
- "status": "2"
}, - "language": "EN",
- "additionalDeclarationType": "A",
- "transactionNature": "string",
- "tradeTermsDescription": "string",
- "goodsLocation": {
- "postalCode": "string",
- "houseNumber": "string",
- "country": "string",
- "latitude": "string",
- "longitude": "string"
}, - "dutyTaxParties": [
- {
- "id": "string",
- "role": "string"
}
]
}, - "valuation": {
- "incoterms": "string",
- "incotermsLocation": {
- "unLocode": "strin",
- "city": "string",
- "country": "st"
}, - "airTransportCost": {
- "amount": 0,
- "currency": "string"
}, - "freightCost": {
- "amount": 0,
- "currency": "string"
}, - "insuranceCost": {
- "amount": 0,
- "currency": "string"
}
}, - "parties": {
- "haulier": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}, - "goods": [
- {
- "productCode": "string",
- "netWeight": 0,
- "grossWeight": 0,
- "description": "string",
- "commodityCode": "stringst",
- "countryOfOrigin": "string",
- "value": 0,
- "valueCurrency": "str",
- "packagingQuantity": 0,
- "packagingQuantityUnit": "st",
- "packagingMarks": "string",
- "eppoCode": { },
- "species": "string",
- "class": "string",
- "variety": "string",
- "valuationMethod": "Forfait",
- "supplementaryUnits": 0,
- "supplementaryUnitsType": "pieces",
- "additionalPackaging": [
- {
- "quantity": 0,
- "quantityUnit": "st",
- "marks": "string"
}
], - "previousDocumentLineNumber": 0,
- "documents": {
- "property1": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}, - "property2": {
- "number": "string",
- "issueDate": "string",
- "dataBase64": "string",
- "filename": "string",
- "mimeType": "string",
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string"
}
}, - "container": "string",
- "dutyPreference": "100",
- "chargeDeduction": [
- {
- "type": "freight",
- "code": "string",
- "amount": 0,
- "currency": "string"
}
], - "valuationIndicator": "string",
- "customsValuationMethod": "string",
- "statisticalValue": 0,
- "referenceNumber": "string",
- "transactionNature": "string",
- "transportChargesPaymentMethod": "string",
- "preferentialOriginCountry": "string",
- "dangerousGoods": [
- {
- "unNumber": "string"
}
], - "transitDepartureTransportMeans": [
- {
- "identificationType": "string",
- "identificationNumber": "string",
- "nationality": "st"
}
], - "transitTransportChargesPaymentMethod": "string",
- "transitDocuments": {
- "previousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string",
- "goodsItemNumber": 1,
- "typeOfPackages": "st",
- "numberOfPackages": 99999999,
- "measurementUnitAndQualifier": "stri",
- "quantity": 0
}
], - "housePreviousDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "complementOfInformation": "string"
}
], - "supportingDocuments": [
- {
- "type": "string",
- "referenceNumber": "string",
- "documentLineItemNumber": 1,
- "complementOfInformation": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
]
}, - "transitConsignor": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitConsignee": {
- "id": "string",
- "name": "string",
- "address": {
- "streetAndNumber": "string",
- "postcode": "string",
- "city": "string",
- "country": "st"
}, - "contactPerson": {
- "name": "string",
- "phone": "string",
- "email": "string"
}
}, - "transitAdditionalSupplyChainActors": [
- {
- "role": "str",
- "identificationNumber": "string"
}
], - "transitCountryOfDispatch": "st",
- "transitCountryOfDestination": "st",
- "transitReferenceNumberUCR": "string",
- "transitDeclarationType": "T1",
- "procedure": {
- "current": "string",
- "previous": "string",
- "additional": [
- "string"
]
}, - "cusCode": "stringstr",
- "taricAdditionalCodes": [
- "string"
], - "nationalAdditionalCodes": [
- "stri"
], - "strategicGoodsCodes": [
- "string"
], - "upuCode": "str",
- "quotaOrder": "string",
- "dutyTaxFees": [
- {
- "type": "string",
- "taxBase": 0,
- "taxRate": 0,
- "paymentMethod": "string",
- "payableAmount": 0
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocumentType": "stri",
- "previousDocumentNumber": "string",
- "previousDocuments": [
- {
- "type": "string",
- "number": "string",
- "lineNumber": 1
}
], - "supportingDocuments": [
- {
- "expiryDate": "string",
- "lineNumber": 1,
- "submitter": "string",
- "writeOffQuantity": 0,
- "writeOffQuantityUnit": "stri",
- "writeOffAmount": 0,
- "writeOffCurrency": "string",
- "type": "string",
- "number": "string"
}
], - "consignor": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "consignee": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "buyer": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "seller": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}, - "exporter": {
- "code": "string",
- "details": {
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "string"
}
}
}
}
]
}
}Response samples
- 200
- 401
- 404
- 500
{- "shipmentId": "string"
}Create a new contact.
Creates a contact for the organisation. Shipments refer to a contact by its code, so the code has to be unique within the organisation. Intermediary and service provider organisations can create contacts for their customers with the onBehalf field.
Authorizations:
Request Body schema: application/json
| onBehalf | string Create the contact for another organisation. Only allowed for intermediary and service provider organisations. |
| code required | string [ 1 .. 100 ] characters Unique code of the contact within the organisation. Shipments refer to the contact with this code. |
| legalName | string <= 200 characters Legal name of the contact. |
| eori | string <= 200 characters EORI number of the contact. |
| vat | string <= 200 characters VAT number of the contact. |
| phone | string <= 200 characters Phone number of the contact. |
string <email> Email address of the contact. | |
| contactPerson | string <= 200 characters Name of the contact person. |
| tracesNumber | string <= 200 characters TRACES identification number of the contact. |
| chamberOfCommerceNumber | string <= 200 characters Chamber of Commerce (KvK) number of the contact. |
| roles required | Array of strings non-empty Items Enum: "importer" "exporter" "consignee" "consignor" "buyer" "seller" "haulier" Roles this contact can have in a shipment. |
object Default address of the contact. | |
object Service configuration of the contact, per service id, e.g. { "nl-export-track-on-trade": { "enabled": true } }. Any option besides |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "code": "string",
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "phone": "string",
- "email": "user@example.com",
- "contactPerson": "string",
- "tracesNumber": "string",
- "chamberOfCommerceNumber": "string",
- "roles": [
- "importer"
], - "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "province": "string",
- "country": "AD"
}, - "serviceDetails": {
- "property1": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}, - "property2": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}
}
}Response samples
- 201
- 400
- 401
- 409
- 500
{- "code": "string",
- "legalName": "string",
- "roles": [
- "string"
], - "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "province": "string",
- "country": "AD"
}
}Retrieve a page of contacts of the organisation sorted by the creation date
Query parameters: pageSize (default 25) and page (default 1). Pages start at 1, and page 0 gives the first page.
Authorizations:
query Parameters
| customerOrg | string |
| pageSize | number |
| page | number |
Responses
Response samples
- 200
- 401
- 500
{- "contacts": [
- {
- "code": "string",
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "phone": "string",
- "email": "string",
- "contactPerson": "string",
- "tracesNumber": "string",
- "chamberOfCommerceNumber": "string",
- "roles": [
- "string"
], - "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "province": "string",
- "country": "string"
}
}
]
}Create a new location.
Creates a location for the organisation. Shipments refer to a location by its code, so the code has to be unique within the organisation. Intermediary and service provider organisations can create locations for their customers with the onBehalf field.
Authorizations:
Request Body schema: application/json
| onBehalf | string Create the location for another organisation. Only allowed for intermediary and service provider organisations. |
| code required | string [ 1 .. 100 ] characters Unique code of the location within the organisation. Shipments refer to the location with this code. A commonly used code is the postal code + house number, which is unique in the Netherlands. |
| name | string <= 200 characters Name of the location. |
required | object Address of the location. The country is required. |
object Service configuration of the location, per service id, e.g. { "nl-export-dms": { "enabled": true } }. Any option besides |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "code": "string",
- "name": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "serviceBinding": {
- "property1": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}, - "property2": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}
}
}Response samples
- 201
- 400
- 401
- 409
- 500
{- "code": "string",
- "name": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}Lists the locations of the organisation.
The newest locations first. Query parameters: pageSize (default 25) and page (default 1). Pages start at 1, and page 0 gives the first page.
Authorizations:
query Parameters
| customerOrg | string |
| pageSize | number |
| page | number |
Responses
Response samples
- 200
- 400
- 401
- 500
{- "locations": [
- {
- "code": "string",
- "name": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}
]
}Updates a contact.
Changes the fields that are given; the others stay as they are. The code cannot be changed. Shipments that were already created keep the contact data they were made with.
Authorizations:
path Parameters
| code required | string non-empty Code of the contact |
Request Body schema: application/json
| onBehalf | string Create the contact for another organisation. Only allowed for intermediary and service provider organisations. |
| legalName | string <= 200 characters Legal name of the contact. |
| eori | string <= 200 characters EORI number of the contact. |
| vat | string <= 200 characters VAT number of the contact. |
| phone | string <= 200 characters Phone number of the contact. |
string <email> Email address of the contact. | |
| contactPerson | string <= 200 characters Name of the contact person. |
| tracesNumber | string <= 200 characters TRACES identification number of the contact. |
| chamberOfCommerceNumber | string <= 200 characters Chamber of Commerce (KvK) number of the contact. |
| roles | Array of strings non-empty Items Enum: "importer" "exporter" "consignee" "consignor" "buyer" "seller" "haulier" Roles this contact can have in a shipment. |
object Default address of the contact. | |
object Service configuration of the contact, per service id, e.g. { "nl-export-track-on-trade": { "enabled": true } }. Any option besides |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "legalName": "string",
- "eori": "string",
- "vat": "string",
- "phone": "string",
- "email": "user@example.com",
- "contactPerson": "string",
- "tracesNumber": "string",
- "chamberOfCommerceNumber": "string",
- "roles": [
- "importer"
], - "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "province": "string",
- "country": "AD"
}, - "serviceDetails": {
- "property1": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}, - "property2": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}
}
}Response samples
- 200
- 400
- 401
- 404
- 413
- 500
{- "code": "string",
- "legalName": "string",
- "roles": [
- "string"
], - "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "province": "string",
- "country": "AD"
}
}Deletes a contact.
Removes the contact of the organisation. Shipments that were already created keep the contact data they were made with.
Authorizations:
path Parameters
| code required | string non-empty Code of the contact |
query Parameters
| onBehalf | string |
Responses
Response samples
- 200
- 400
- 401
- 404
- 413
- 500
{- "status": "success"
}Updates a location.
Changes the fields that are given; the others stay as they are. The code cannot be changed. Shipments that were already created keep the location data they were made with.
Authorizations:
path Parameters
| code required | string non-empty Code of the location |
Request Body schema: application/json
| onBehalf | string Create the location for another organisation. Only allowed for intermediary and service provider organisations. |
| name | string <= 200 characters Name of the location. |
object Address of the location. The country is required. | |
object Service configuration of the location, per service id, e.g. { "nl-export-dms": { "enabled": true } }. Any option besides |
Responses
Request samples
- Payload
{- "onBehalf": "string",
- "name": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "serviceBinding": {
- "property1": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}, - "property2": {
- "enabled": true,
- "property1": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}, - "property2": {
- "optionName": "string",
- "optionType": "string",
- "optionValue": "string"
}
}
}
}Response samples
- 200
- 400
- 401
- 404
- 413
- 500
{- "status": "success"
}Deletes a location.
Removes the location of the organisation. Shipments that were already created keep the location data they were made with.
Authorizations:
path Parameters
| code required | string non-empty Code of the location |
query Parameters
| onBehalf | string |
Responses
Response samples
- 200
- 400
- 401
- 404
- 413
- 500
{- "status": "success"
}Simulates an update of a shipment's service state, for testing an integration. Not available on production.
Authorizations:
path Parameters
| uid required | string non-empty Unique id of the shipment |
Request Body schema: application/json
| serviceType required | string Enum: "uk-import-declaration" "nl-export-declaration" |
| updateType required | string Enum: "success" "failure" |
Array of objects | |
Array of objects |
Responses
Request samples
- Payload
{- "serviceType": "uk-import-declaration",
- "updateType": "success",
- "output": [
- {
- "outputName": "string",
- "outputType": "document",
- "base64Data": "string",
- "number": "string"
}
], - "errors": [
- {
- "message": "string"
}
]
}Response samples
- 200
- 401
- 404
- 500
{- "message": "string"
}Retrieve the status of a given shipment together with shipment data/details.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Responses
Response samples
- 200
- 401
- 404
- 500
{- "shipmentId": "string",
- "finalized": true,
- "services": [
- {
- "serviceType": "nl-export-declaration",
- "status": "string",
- "documentType": "EUA",
- "mrn": "string",
- "document": "string",
- "errors": [
- {
- "code": "custom",
- "path": [ ],
- "message": "string",
- "resourceId": "string",
- "locationCode": "string",
- "productCode": "string",
- "unlocode": "string",
- "partyCode": "string",
- "errorCode": "string",
- "originalMessage": "string",
- "originalPath": [ ],
- "originalAttributeValue": "string"
}
], - "importState": "string",
- "exportState": "string",
- "requestedDocuments": [
- {
- "type": "string",
- "description": "string"
}
], - "documentsSubmittedAt": "string",
- "documentsSubmittedCount": 0,
- "options": {
- "property1": null,
- "property2": null
}, - "nonExitedEnquiryDate": "string",
- "nonExitedEvidenceLimitDate": "string",
- "nonExitedDeclarationOffice": "string",
- "nonExitedParties": [
- {
- "role": "agent",
- "eori": "string",
- "name": "string",
- "relationCode": "string",
- "address": {
- "line": "string",
- "postcode": "string",
- "city": "string",
- "country": "string"
}, - "contact": {
- "name": "string",
- "communications": [
- {
- "number": "string",
- "type": "string"
}
]
}
}
], - "documentsRequestedEffectiveDate": "string",
- "documentsRequestedExpirationDate": "string",
- "timerExpiredLimitDate": "string",
- "timerExpiredInspectionDate": "string",
- "timerExpiredStatement": "string",
- "amendmentAcceptedDate": "string",
- "handledExternallyDate": "string",
- "noReleaseDate": "string",
- "noReleaseReasons": "string",
- "noReleaseControlResults": "string",
- "customsEmergencyProcedureDocument": "string",
- "emergencyProcedureDate": "string",
- "ogaReportMonth": "string",
- "ogaTotalPaymentAmount": "string",
- "ogaTaxes": "string",
- "lrn": "string",
- "acceptanceDate": 0,
- "t2Document": "string",
- "releaseForTransit": true,
- "typeCode": "string",
- "description": "string",
- "releaseDate": "string",
- "transitDeclarationType": "string",
- "departureOffice": "string",
- "destinationOffice": "string",
- "controlResult": "string",
- "rejectionDate": "string",
- "rejectionType": "string",
- "rejectionReason": "string",
- "noReleaseReason": "string",
- "controlNotificationDate": "string",
- "controlNotificationType": "string",
- "controlTypes": "string",
- "controlRequestedDocuments": "string",
- "discrepanciesDate": "string",
- "discrepancies": "string",
- "amendmentAllowedDate": "string",
- "arrivalDate": "string",
- "arrivalDestinationOffice": "string",
- "writeOffDate": "string",
- "nonArrivalRequestDate": "string",
- "nonArrivalResponseLimitDate": "string",
- "nonArrivalEnquiryOffice": "string",
- "incidentDate": "string",
- "incidentOffice": "string",
- "incidents": "string",
- "invalidGuarantees": "string",
- "guaranteeQueryDate": "string",
- "guaranteeQueryResult": "string",
- "invalidationDate": "string",
- "invalidationDecision": "string",
- "acknowledgementDate": "string",
- "acknowledgementMrn": "string",
- "arrivalNotificationDate": "string",
- "unloadingRemarksDate": "string",
- "unloadingPermissionDate": "string",
- "unloadingSeals": "string",
- "unloadingGoodsItems": "string",
- "unloadingGoods": [
- {
- "houseConsignment": "string",
- "goodsItemNumber": "string",
- "declarationGoodsItemNumber": "string",
- "description": "string",
- "commodityCode": "string",
- "grossMass": "string",
- "netMass": "string",
- "packages": [
- {
- "type": "string",
- "number": "string",
- "shippingMarks": "string"
}
]
}
], - "unloadingContainers": [
- {
- "sequenceNumber": "string",
- "containerNumber": "string",
- "numberOfSeals": "string",
- "seals": [
- "string"
], - "goodsItems": [
- "string"
]
}
], - "unloadingPermission": "string",
- "destinationReleaseDate": "string",
- "releaseNotification": "string",
- "releaseTypes": "string",
- "destinationRejectionDate": "string",
- "destinationRejectionType": "string",
- "destinationRejectionReason": "string",
- "destinationControlDate": "string"
}
], - "shipmentData": {
- "shipmentReference": "string",
- "shipmentType": "string",
- "valuation": {
- "incoterms": "string",
- "invoiceValue": {
- "amount": 0
}, - "incotermsLocation": {
- "country": "string",
- "city": "string",
- "unLocode": "string",
- "resolved": true
}
}, - "documents": [
- {
- "number": "string",
- "type": "string",
- "fileRef": "string"
}
], - "parties": {
- "consignee": {
- "legalName": "string",
- "address": {
- "country": "string",
- "city": "string",
- "street": "string",
- "postalCode": "string",
- "name": "string"
}, - "name": "string",
- "serviceDetails": {
- "property1": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}, - "property2": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}
}, - "resolved": true
}, - "haulier": {
- "legalName": "string",
- "address": {
- "country": "string",
- "city": "string",
- "street": "string",
- "postalCode": "string",
- "name": "string"
}, - "name": "string",
- "serviceDetails": {
- "property1": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}, - "property2": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}
}, - "resolved": true
}, - "consignor": {
- "legalName": "string",
- "address": {
- "country": "string",
- "city": "string",
- "street": "string",
- "postalCode": "string",
- "name": "string"
}, - "name": "string",
- "serviceDetails": {
- "property1": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}, - "property2": {
- "companyCode": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "eidrEnabled": {
- "optionType": "string",
- "optionValue": true,
- "optionName": "string"
}, - "shortName": {
- "optionType": "string",
- "optionValue": "string",
- "optionName": "string"
}, - "enabled": true
}
}, - "resolved": true
}
}, - "items": {
- "property1": { },
- "property2": { }
}, - "voyageReference": "string",
- "voyage": {
- "voyageType": "roro",
- "placeOfLoading": {
- "code": "string",
- "resolved": true,
- "serviceDetails": {
- "property1": null,
- "property2": null
}
}, - "portOfLoading": {
- "country": "string",
- "city": "string",
- "unLocode": "string",
- "resolved": true
}, - "portOfDischarge": {
- "country": "string",
- "city": "string",
- "unLocode": "string",
- "resolved": true
}, - "placeOfDelivery": {
- "code": "string",
- "resolved": true,
- "serviceDetails": {
- "property1": null,
- "property2": null
}
}, - "trailer": {
- "identity": "string",
- "nationality": "string"
}, - "truck": {
- "identity": "string",
- "nationality": "string"
}, - "wagon": {
- "identity": "string",
- "nationality": "string"
}, - "aircraft": {
- "identity": "string",
- "nationality": "string"
}, - "flight": {
- "identity": "string",
- "nationality": "string"
}, - "vessel": {
- "identity": "string",
- "nationality": "string"
}, - "carrier": {
- "scac": "string",
- "name": "string"
}, - "transitCustomsOffices": [
- "string"
], - "destinationCustomsOffice": "string",
- "exitCustomsOffice": "string",
- "containers": [
- {
- "containerNumber": "string",
- "seals": [
- "string"
], - "goodsItems": [
- 1
]
}
], - "eta": 0
}, - "transit": {
- "declarationType": "string",
- "additionalDeclarationType": "string",
- "security": "string",
- "reducedDatasetIndicator": true,
- "specificCircumstancesIndicator": "string",
- "bindingItinerary": true,
- "tirCarnet": "string",
- "goodsPresentationDate": 0,
- "departureLanguage": "string",
- "limitDate": 0,
- "goodsLocation": {
- "type": "string",
- "code": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "houseNumberAddition": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}
}, - "loadingPlace": {
- "unLocode": "string",
- "country": "string",
- "location": "string"
}, - "unloadingPlace": {
- "unLocode": "string",
- "country": "string",
- "location": "string"
}, - "authorisations": [
- {
- "type": "string",
- "referenceNumber": "string"
}
], - "transitOffices": [
- {
- "referenceNumber": "string",
- "arrivalDate": 0
}
], - "exitOffices": [
- "string"
], - "guarantees": [
- {
- "type": "s",
- "otherReference": "string",
- "references": [
- {
- "grn": "string",
- "accessCode": "stri",
- "amountCovered": 0,
- "currency": "str"
}
]
}
], - "additionalSupplyChainActors": [
- {
- "role": "string",
- "identificationNumber": "string"
}
], - "routingCountries": [
- "string"
]
}, - "transitArrival": {
- "mrn": "stringstringstring",
- "officeOfDestination": "stringst",
- "arrivalDate": 0,
- "simplifiedProcedure": true,
- "destinationLanguage": "st",
- "authorisations": [
- {
- "type": "stri",
- "referenceNumber": "string"
}
], - "goodsLocation": {
- "type": "s",
- "qualifier": "s",
- "authorisationNumber": "string",
- "additionalIdentifier": "stri",
- "unLocode": "string",
- "customsOffice": "stringst",
- "eori": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string",
- "country": "AD"
}, - "contactPerson": {
- "name": "string",
- "phoneNumber": "string",
- "email": "string"
}
}, - "incidents": [
- {
- "code": "s",
- "text": "string",
- "country": "st",
- "unLocode": "string",
- "address": {
- "street": "string",
- "houseNumber": "string",
- "postalCode": "string",
- "city": "string"
}, - "endorsement": {
- "date": 0,
- "authority": "string",
- "place": "string",
- "country": "st"
}
}
], - "unloadingRemarks": {
- "conform": true,
- "unloadingCompletion": true,
- "unloadingDate": 0,
- "sealsOk": true,
- "remark": "string",
- "otherThingsToReport": "string",
- "grossMass": 0,
- "transportEquipment": [
- {
- "containerIdentificationNumber": "string",
- "seals": [
- "string"
], - "declarationGoodsItemNumbers": [
- 0
]
}
], - "items": [
- {
- "houseConsignment": 0,
- "goodsItemNumber": 0,
- "declarationGoodsItemNumber": 0,
- "description": "string",
- "grossMass": 0,
- "netMass": 0,
- "typeOfPackages": "st",
- "numberOfPackages": 0
}
]
}
}, - "dms": {
- "transportDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "previousDocuments": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalReferences": [
- {
- "type": "string",
- "number": "string"
}
], - "additionalInformation": [
- {
- "code": "string",
- "text": "string"
}
], - "authorisations": [
- {
- "type": "string",
- "number": "string",
- "holder": "string"
}
], - "aeoParties": [
- {
- "role": "string",
- "eori": "string"
}
], - "routingCountries": [
- "string"
], - "transportChargesPaymentMethod": "string",
- "declarantContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "agentContact": {
- "name": "string",
- "phone": "string",
- "email": "string"
}, - "declarant": {
- "eori": "string"
}, - "obligationGuarantees": [
- {
- "type": "string",
- "references": [
- {
- "grn": "string",
- "reference": "string",
- "accessCode": "stri",
- "amount": 0,
- "currency": "string",
- "office": "string"
}
]
}
], - "surety": "string",
- "payer": "string",
- "representative": {
- "eori": "string",
- "status": "2"
}, - "language": "EN",
- "additionalDeclarationType": "A",
- "transactionNature": "string",
- "tradeTermsDescription": "string",
- "goodsLocation": {
- "postalCode": "string",
- "houseNumber": "string",
- "country": "string",
- "latitude": "string",
- "longitude": "string"
}, - "dutyTaxParties": [
- {
- "id": "string",
- "role": "string"
}
]
}
}
}Retrieve the status of a given shipment.
Authorizations:
path Parameters
| shipmentId required | string non-empty Unique id of the shipment |
Responses
Response samples
- 200
- 401
- 404
- 500
{- "shipmentId": "string",
- "finalized": true,
- "services": [
- {
- "serviceType": "nl-export-declaration",
- "status": "string",
- "documentType": "EUA",
- "mrn": "string",
- "document": "string",
- "errors": [
- {
- "code": "custom",
- "path": [ ],
- "message": "string",
- "resourceId": "string",
- "locationCode": "string",
- "productCode": "string",
- "unlocode": "string",
- "partyCode": "string",
- "errorCode": "string",
- "originalMessage": "string",
- "originalPath": [ ],
- "originalAttributeValue": "string"
}
], - "importState": "string",
- "exportState": "string",
- "requestedDocuments": [
- {
- "type": "string",
- "description": "string"
}
], - "documentsSubmittedAt": "string",
- "documentsSubmittedCount": 0,
- "options": {
- "property1": null,
- "property2": null
}, - "nonExitedEnquiryDate": "string",
- "nonExitedEvidenceLimitDate": "string",
- "nonExitedDeclarationOffice": "string",
- "nonExitedParties": [
- {
- "role": "agent",
- "eori": "string",
- "name": "string",
- "relationCode": "string",
- "address": {
- "line": "string",
- "postcode": "string",
- "city": "string",
- "country": "string"
}, - "contact": {
- "name": "string",
- "communications": [
- {
- "number": "string",
- "type": "string"
}
]
}
}
], - "documentsRequestedEffectiveDate": "string",
- "documentsRequestedExpirationDate": "string",
- "timerExpiredLimitDate": "string",
- "timerExpiredInspectionDate": "string",
- "timerExpiredStatement": "string",
- "amendmentAcceptedDate": "string",
- "handledExternallyDate": "string",
- "noReleaseDate": "string",
- "noReleaseReasons": "string",
- "noReleaseControlResults": "string",
- "customsEmergencyProcedureDocument": "string",
- "emergencyProcedureDate": "string",
- "ogaReportMonth": "string",
- "ogaTotalPaymentAmount": "string",
- "ogaTaxes": "string",
- "lrn": "string",
- "acceptanceDate": 0,
- "t2Document": "string",
- "releaseForTransit": true,
- "typeCode": "string",
- "description": "string",
- "releaseDate": "string",
- "transitDeclarationType": "string",
- "departureOffice": "string",
- "destinationOffice": "string",
- "controlResult": "string",
- "rejectionDate": "string",
- "rejectionType": "string",
- "rejectionReason": "string",
- "noReleaseReason": "string",
- "controlNotificationDate": "string",
- "controlNotificationType": "string",
- "controlTypes": "string",
- "controlRequestedDocuments": "string",
- "discrepanciesDate": "string",
- "discrepancies": "string",
- "amendmentAllowedDate": "string",
- "arrivalDate": "string",
- "arrivalDestinationOffice": "string",
- "writeOffDate": "string",
- "nonArrivalRequestDate": "string",
- "nonArrivalResponseLimitDate": "string",
- "nonArrivalEnquiryOffice": "string",
- "incidentDate": "string",
- "incidentOffice": "string",
- "incidents": "string",
- "invalidGuarantees": "string",
- "guaranteeQueryDate": "string",
- "guaranteeQueryResult": "string",
- "invalidationDate": "string",
- "invalidationDecision": "string",
- "acknowledgementDate": "string",
- "acknowledgementMrn": "string",
- "arrivalNotificationDate": "string",
- "unloadingRemarksDate": "string",
- "unloadingPermissionDate": "string",
- "unloadingSeals": "string",
- "unloadingGoodsItems": "string",
- "unloadingGoods": [
- {
- "houseConsignment": "string",
- "goodsItemNumber": "string",
- "declarationGoodsItemNumber": "string",
- "description": "string",
- "commodityCode": "string",
- "grossMass": "string",
- "netMass": "string",
- "packages": [
- {
- "type": "string",
- "number": "string",
- "shippingMarks": "string"
}
]
}
], - "unloadingContainers": [
- {
- "sequenceNumber": "string",
- "containerNumber": "string",
- "numberOfSeals": "string",
- "seals": [
- "string"
], - "goodsItems": [
- "string"
]
}
], - "unloadingPermission": "string",
- "destinationReleaseDate": "string",
- "releaseNotification": "string",
- "releaseTypes": "string",
- "destinationRejectionDate": "string",
- "destinationRejectionType": "string",
- "destinationRejectionReason": "string",
- "destinationControlDate": "string"
}
]
}